//
//  DeleteNgaArea.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2024/05/20.
//

import Foundation

class DeleteNgaArea {
    var sessionNgaList = SessionNgaList()

    func start(areaId : String) {
        print(debug: "called")
        sessionNgaList.RequestDeleteNgaList(areaId, completion: responseDeleteNgaList)
    }

    private func responseDeleteNgaList(result: Result<Data, APIError>) {
        print(debug: "called")
        switch result {
        case .success(let resultData):
            print(debug: resultData)
        case .failure(let errorCode):
            print(debug: errorCode)
            break
        }
    }
}
